Bug 1500380 (CVE-2017-12188) - CVE-2017-12188 Kernel: KVM: MMU potential stack buffer overrun during page walks
Summary: CVE-2017-12188 Kernel: KVM: MMU potential stack buffer overrun during page walks
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-12188
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1500381 1500382 1500384 1500385
Blocks: 1498990
TreeView+ depends on / blocked
 
Reported: 2017-10-10 13:20 UTC by Prasad J Pandit
Modified: 2019-09-29 14:24 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Linux kernel built with the KVM visualization support (CONFIG_KVM), with nested visualization(nVMX) feature enabled (nested=1), was vulnerable to a stack buffer overflow issue. The vulnerability could occur while traversing guest page table entries to resolve guest virtual address(gva). An L1 guest could use this flaw to crash the host kernel resulting in denial of service (DoS) or potentially execute arbitrary code on the host to gain privileges on the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:28:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0395 normal SHIPPED_LIVE Important: kernel security and bug fix update 2018-03-07 02:48:02 UTC
Red Hat Product Errata RHSA-2018:0412 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2018-03-07 02:41:11 UTC

Description Prasad J Pandit 2017-10-10 13:20:18 UTC
Linux kernel built with the KVM virtualisation support(CONFIG_KVM), with
nested virtualisation(nVMX) feature enabled(nested=1), is vulnerable to a
stack buffer overflow issue. It could occur while traversing guest pagetable
entries to resolve guest virtual address(gva).

A L1 guest could use this flaw to crash the host kernel resulting in DoS.
OR potentially execute arbitrary code on the host to gain access to the
host system.

Upstream patch:
---------------
  -> https://www.spinics.net/lists/kvm/msg156651.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/10/12/17

Comment 7 Benoit Donneaux 2017-11-24 13:31:17 UTC
Not sure why the above statement is not inline with the whiteboard: rhel-7/kernel=affected ?

Comment 8 Adam Mariš 2017-11-29 13:21:58 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Comment 9 errata-xmlrpc 2018-03-06 21:42:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0412 https://access.redhat.com/errata/RHSA-2018:0412

Comment 10 errata-xmlrpc 2018-03-06 21:42:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0395 https://access.redhat.com/errata/RHSA-2018:0395


Note You need to log in before you can comment on or make changes to this bug.